
Foreman - Bug #12934

Unhiding paramter values clears their value

12/24/2015 01:56 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Web Interface   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3002

  

Description

This is caused by the jQuery update, attr('value', 'some_value') no longer sets value on text areas as value is not an attribute any

more.

Related issues:

Related to Foreman - Refactor #8705: Update jQuery to recent version Closed 12/14/2014

Related to Foreman - Refactor #12935: Check js code against jQuery upgrade gu... New 12/24/2015

Associated revisions

Revision 947393d8 - 12/28/2015 03:23 AM - Ori Rabin

Fixes #12934 - Unhiding paramter values does not clear their value

History

#1 - 12/24/2015 01:57 AM - Tomer Brisker

- Related to Refactor #8705: Update jQuery to recent version added

#2 - 12/24/2015 02:33 AM - Tomer Brisker

- Related to Refactor #12935: Check js code against jQuery upgrade guide and release notes added

#3 - 12/24/2015 03:04 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3002 added

#4 - 12/24/2015 04:00 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#5 - 12/28/2015 04:02 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 947393d8cb0c6ddb452cbc86204f78259022a9d3.
